package day01

import (
	"github.com/stretchr/testify/assert"
	"testing"
)

func TestPart1(t *testing.T) {
	r := Part1(`1abc2
pqr3stu8vwx
a1b2c3d4e5f
treb7uchet`)
	assert.Equal(t, 142, r)
}

func TestPart2(t *testing.T) {
	r := Part2(`two1nine
eightwothree
abcone2threexyz
xtwone3four
4nineeightseven2
zoneight234
7pqrstsixteen`)
	assert.Equal(t, 281, r)
}
